Download
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Download action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Download files from FTP server",
"type": "DOWNLOAD",
"trigger_time": "ON_EVERY_EXECUTION",
"source_path": "/source",
"recursive": false,
"targets": [
{
"type": "FTP",
"secure": false,
"identifier": "ftp_target_1",
"host": "192.0.2.1",
"port": "21",
"auth": {
"username": "user",
"password": "secure!gYTKjljwPt4nAffHn6mGEQ==.5rkCAHX55eiwOqJ73oGg6g=="
},
"path": "/var/www"
}
],
"destination_path": "/assets",
"overwrite": false
}'STATUS200 OK